Package com.treemap.treeplot

# Class AbstractTreePlot<C,N,Row,Column,Color,Font>

java.lang.Object
com.treemap.treeplot.AbstractTreePlot<C,N,Row,Column,Color,Font>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<C>`, `TreePlot<C,N,Row,Column,Color,Font>`

Direct Known Subclasses:
  `JavaFXTreePlot`

public abstract class AbstractTreePlot<C,N,Row,Column,Color,Font> extends Object implements TreePlot<C,N,Row,Column,Color,Font>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TreePlotController<C,N,Row,Column,Color,Font>`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected TreePlotView<C,N,Row,Column,Color,Font>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTreePlot()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TreePlotController<C,N,Row,Column,Color,Font>`
  `getController()`
  Returns the controller used for the treemap.
  `TreePlotModel<N,Row,Column,Color,Font>`
  `getModel()`
  Returns the model used for the treemap.
  `TreePlotView<C,N,Row,Column,Color,Font>`
  `getView()`
  Returns the view used for the treemap.
  `void`
  `setController(TreePlotController<C,N,Row,Column,Color,Font> controller)`
  Sets the controller to be used for the treemap and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of CartoPlot.
  `void`
  `setModel(TreePlotModel<N,Row,Column,Color,Font> model)`
  Sets the model to be used for the treemap and register it to the view.
  `void`
  `setView(TreePlotView<C,N,Row,Column,Color,Font> view)`
  Sets the view to be used for the treemap and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

- ## Field Details

  - ### view

    protected TreePlotView<C,N,Row,Column,Color,Font> view

  - ### controller

    protected TreePlotController<C,N,Row,Column,Color,Font> controller

  - ### licenseModel

    protected static LicenseModel licenseModel

- ## Constructor Details

  - ### AbstractTreePlot

    public AbstractTreePlot()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of CartoPlot. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### getModel

    public TreePlotModel<N,Row,Column,Color,Font> getModel()
    Returns the model used for the treemap.
    Specified by:
      `getModel` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(TreePlotModel<N,Row,Column,Color,Font> model)
    Sets the model to be used for the treemap and register it to the view.
    Specified by:
      `setModel` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Parameters:
      `model` - the model to be used

  - ### getView

    @JsMethod public TreePlotView<C,N,Row,Column,Color,Font> getView()
    Returns the view used for the treemap.
    Specified by:
      `getView` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Returns:
      the view in use

  - ### setView

    public void setView(TreePlotView<C,N,Row,Column,Color,Font> view)
    Sets the view to be used for the treemap and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public TreePlotController<C,N,Row,Column,Color,Font> getController()
    Returns the controller used for the treemap.
    Specified by:
      `getController` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Returns:
      the controller in use

  - ### setController

    public void setController(TreePlotController<C,N,Row,Column,Color,Font> controller)
    Sets the controller to be used for the treemap and register the view currently in use.
    Specified by:
      `setController` in interface `TreePlot<C,N,Row,Column,Color,Font>`
    Parameters:
      `controller` - the controller in use